seq.units {units} | R Documentation

## seq method for units objects

### Description

seq method for units objects

### Usage

    ## S3 method for class 'units'
    seq(from, to, by = ((to - from)/(length.out - 1)),
      length.out = NULL, along.with = NULL, ...)

### Arguments

`from` | see seq
`to` | see seq
`by` | see seq
`length.out` | see seq
`along.with` | see seq
`...` | see seq

### Details

arguments with units are converted to have units of the first argument (which is either `from` or `to`)

### Examples

    seq(to = set_units(10, m), by = set_units(1, m), length.out = 5)
    seq(set_units(10, m), by = set_units(1, m), length.out = 5)
    seq(set_units(10, m), set_units(19, m))
    seq(set_units(10, m), set_units(.1, km), set_units(10000, mm))

[Package units version 0.6-2 Index]